%global momorel 1
%global emacsver 22.2
%global xemacsver 21.5.28
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir %{_datadir}/xemacs/site-packages

Summary: Mercurial -- a distributed SCM
Name: mercurial
Version: 1.0.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Tools
Source0: http://www.selenic.com/mercurial/release/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: emacs
BuildRequires: xemacs
BuildRequires: xemacs-sumo

%description
Mercurial is a fast, lightweight source control management system designed
for efficient handling of very large distributed projects.

%package emacs
Group: Development/Tools
Summary: Emacs support for the Mercurial distributed SCM
Requires: mercurial = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description emacs
Emacs support for the Mercurial distributed SCM.

%package xemacs
Group: Development/Tools
Summary: XEmacs support for the Mercurial distributed SCM
Requires: mercurial = %{version}-%{release}
Requires: xemacs >= %{xemacsver}

%description xemacs
XEmacs support for the Mercurial distributed SCM.

%prep
%setup -q

%build
python ./setup.py build
(cd doc; make man)

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
python ./setup.py install -O1 --root %{buildroot} --record=%{name}.files

%__mkdir_p %{buildroot}%{_mandir}/man1
%__mkdir_p %{buildroot}%{_mandir}/man5
%__install -m 0644 doc/hg.1 %{buildroot}%{_mandir}/man1/hg.1
%__install -m 0644 doc/hgrc.5 %{buildroot}%{_mandir}/man5/hgrc.5
%__install -m 0644 doc/hgignore.5 %{buildroot}%{_mandir}/man5/hgignore.5

pushd contrib
# emacs
emacs -q -no-site-file -batch -f batch-byte-compile %{name}.el
%__mkdir_p %{buildroot}%{e_sitedir}
%__install -m 0644 %{name}.el %{buildroot}%{e_sitedir}/%{name}.el
%__install -m 0644 %{name}.elc %{buildroot}%{e_sitedir}/%{name}.elc
%__rm %{name}.elc
# xemacs
xemacs -q -no-site-file -batch -f batch-byte-compile %{name}.el
%__mkdir_p %{buildroot}%{sitepdir}/lisp
%__install -m 0644 %{name}.el %{buildroot}%{sitepdir}/lisp/%{name}.el
%__install -m 0644 %{name}.elc %{buildroot}%{sitepdir}/lisp/%{name}.elc
%__rm %{name}.elc
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)
%doc CONTRIBUTORS COPYING README doc contrib
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%files -n mercurial-emacs
%defattr(-, root, root)
%{e_sitedir}/%{name}.el*

%files -n mercurial-xemacs
%defattr(-, root, root)
%{sitepdir}/lisp/%{name}.el*

%changelog
* Wed Sep  3 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0.2-1m)
- update to 1.0.2

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.1-2m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Tue Jun 24 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-2m)
- rebuild against gcc43
 
* Tue Mar 25 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Fri Nov  9 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.5-1m)
- update to 0.9.5

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.3-2m)
- rebuild against python-2.5

* Wed Dec 20 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.3-1m)
- update to 0.9.3

* Mon Nov 13 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.1-3m)
- revise %%prep, %%build, %%install sections
  referred to Fedora Extras devel
- create mercurial-emacs and mercurial-xemacs  

* Tue Nov  7 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.1-2m)
- add man pages

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1-1m)
- update to 0.9.1

* Wed Jun  7 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9-2m)
- fix files list conflicts (nigirisugi)

* Mon May 22 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.9-1m)
- update to 0.9

* Thu Apr  6 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7-2m)
- revised doc owner

* Wed Jan 11 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7-1m)
- import to Momonga
